QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    association.cpp \
    login.cpp \
    main.cpp \
    main_konsole.cpp \
    member.cpp \
    patch.cpp \
    testcreatememberspatches.cpp \
    widget.cpp

HEADERS += \
    association.h \
    login.h \
    member.h \
    patch.h \
    testcreatememberspatches.h \
    widget.h

FORMS += \
    widget.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
